LFR-FSW - Bug #3888

Mauvaise incrémentation des TM_LFR_TC_EXE_* en cas de demande de passage dans le mode ou
I'on est déja dans FSW 3.3.0.1

10/11/2021 11:44 AM - bruno katra

Status: Closed Start date: 10/11/2021
Priority: High Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

FSW 3.3.0.1 sur EM1
Quand on demande a passer dans un mode ou I'on est déja le FSW doit générer une TM_LFR_TC_EXE_NOT_EXECUTABLE.
Ce n'est pas le cas avec FSW 3.3.0.1 et le comportement est différent selon le mode courant : on voit dans le SGSE :

STDBY vers STDBY : incrémente les compteurs de TM_LFR_TC_EXE_SUCCESS et TM_LFR_TC_EXE_NOT_EXECUTABLE
NORMAL vers NORMAL : incrémente les compteurs de TM_LFR_TC_EXE_ERROR et TM_LFR_TC_EXE_NOT_EXECUTABLE
BURST vers BURST : incrémente les compteurs de TM_LFR_TC_EXE_SUCCESS et TM_LFR_TC_EXE_NOT_EXECUTABLE
SBM1 vers SBM1 : incrémente les compteurs de TM_LFR_TC_EXE_ERROR et TM_LFR_TC_EXE_NOT_EXECUTABLE

SBM2 vers SBM2 : incrémente les compteurs de TM_LFR_TC_EXE_ERROR et TM_LFR_TC_EXE_NOT_EXECUTABLE

History

#1 - 18/01/2022 02:37 PM - Alexis Jeandet
- Status changed from New to In Progress

- Assignee changed from Alexis Jeandet to bruno katra

Ca devrait étre corrigé par ce commit
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/commit/46939dc81a9f9804aai40b5944aa4{3dd83f008f

#2 - 20/01/2022 05:52 PM - bruno katra

- Status changed from In Progress to Closed

Résolu et testé OK en 3.3.0.5
